#ifndef _THALIA_WAVEFORM_ATTACHED_PICTURE_H_
#define _THALIA_WAVEFORM_ATTACHED_PICTURE_H_

#include "thalia/thalia_plugin_public.h"

#include "WDL/heapbuf.h"
#include "WDL/fileread.h"
#include "WDL/wdlstring.h"
#include "WDL/assocarray.h"

class THA_WaveFormAPIC : public THA_IFilePic
{
public:
  THA_WaveFormAPIC();
  ~THA_WaveFormAPIC();

  bool Open(const char *filename);

  int GetPicSize() const;
  void *GetPic() const;

private:
  WDL_HeapBuf m_apic;
  WDL_FastString m_fn;
  WDL_FileRead *m_file;
  WDL_StringKeyedArray<char *> m_metadata;
};

#endif // _THALIA_WAVEFORM_ATTACHED_PICTURE_H_
